Package de.gebit.integrity.remoting.transport.enums

## Enum ExecutionStates

- java.lang.Object
- - java.lang.Enum<ExecutionStates>
  - - de.gebit.integrity.remoting.transport.enums.ExecutionStates

- All Implemented Interfaces:
    `Serializable`, `Comparable<ExecutionStates>`

      public enum ExecutionStates
      extends Enum<ExecutionStates>
      implements Serializable

  Execution states.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BLOCKED` | The execution is blocked (waiting to be started).
    `ENDED` | Execution has ended.
    `FINALIZING` | Execution has finished, but stuff is being finalized (results written, transformed et cetera).
    `PAUSED` | Execution is paused.
    `PAUSED_SYNC` | Execution is paused while waiting for the master to perform its next steps and then return to the fork.
    `RUNNING` | The execution is in progress.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExecutionStates` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ExecutionStates[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOCKED

          public static final ExecutionStates BLOCKED

      The execution is blocked (waiting to be started).

    - #### RUNNING

          public static final ExecutionStates RUNNING

      The execution is in progress.

    - #### PAUSED

          public static final ExecutionStates PAUSED

      Execution is paused.

    - #### PAUSED_SYNC

          public static final ExecutionStates PAUSED_SYNC

      Execution is paused while waiting for the master to perform its next steps and then return to the fork.

    - #### FINALIZING

          public static final ExecutionStates FINALIZING

      Execution has finished, but stuff is being finalized (results written, transformed et cetera).

    - #### ENDED

          public static final ExecutionStates ENDED

      Execution has ended.

  - ### Method Detail

    - #### values

          public static ExecutionStates[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExecutionStates c : ExecutionStates.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExecutionStates valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null